{% extends 'base/base.html' %}
{% load crispy_forms_tags %}

{% block end_script %}
<script>
    document.getElementById("id_showlisted").addEventListener("change", save_data);
    document.getElementById("id_showsold").addEventListener("change", save_data);

    function save_data() {
        var token = "{{csrf_token}}";
        var showlisted = $("#id_showlisted:checked").val();
        var showsold = $("#id_showsold:checked").val();
        var listinglocation = $("#id_listinglocationid :selected").val();
        var listdate = $("id_listdate").val()
        $.ajax({
            type: "POST",
            headers: { "X-CSRFToken": token },
            url: "{% url 'ajaxreply' %}",
            data: { refreshinventory: 'True', showlisted: showlisted, showsold: showsold, listinglocationid: listinglocation, listdate: listdate },
            success: function (result) {
                let html_data = ''
                result.forEach(function (invitem) {
                    console.log(invitem)
                    html_data += `<option value="${invitem[0]}">${invitem[1]}</option>`
                });
                $("#id_inventoryid").html(html_data);
            }
        });
    };
</script>
{% endblock %}

{% block body_blockheader %}
<div class="container" id="frmHeader">
    <div class="row">
        <div class="col">
            <h4>{{ pageName }}</h4>
            {% include 'form/_nav.html' %}
        </div>
        <div>
            {% autoescape off %}
                {{ buttons }}
            {% endautoescape %}
        </div>
    </div>
    {% autoescape off %}
    {% for rowval in formDescription %}
        {% for val in rowval %}
            {{ val }}
        {% endfor %}
    {% endfor %}
    {% endautoescape %}
    <span id="frmErrorMsg">{{ errmsg }}</span>
</div>
{% endblock %}

{% block body_block %}
    <div class="container" id="frmContainer">
        <div class="container" id="frmSection">
            {% csrf_token %}
            {% crispy form %}
        </div>
        {% include 'standard/_contentholder.html' %}
    </div>
{% endblock %}